package com.example.videoview


import android.net.Uri
import android.os.Bundle
import android.widget.MediaController
import android.widget.Toast
import android.widget.VideoView
import androidx.appcompat.app.AppCompatActivity


class MainActivity : AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        val myMediaController = MediaController(this)

        val vvCrock = findViewById<VideoView>(R.id.vvCrock)
        var path = ""
        //path= "android.resource://" + packageName + "/" + R.raw.crocodile

        //  path = "android.resource://" + packageName + "/" + R.raw.blum_short

        //path="https://file-examples.com/storage/fe6d6a97cd680671996c9a2/2017/04/file_example_MP4_480_1_5MG.mp4"
        path="http://commondatastorage.googleapis.com/gtv-videos-bucket/sample/BigBuckBunny.mp4"
        // must edit Android Manifest to allow INTERNET PERMISSION
        // android:usesCleartextTraffic="true"  if URL uses http instead of https

        vvCrock.setVideoURI(Uri.parse(path))

        vvCrock.setMediaController(myMediaController)
        //click on video to see controls

        vvCrock.setOnPreparedListener {
            Toast.makeText(this,"video start", Toast.LENGTH_SHORT).show()
            vvCrock.start()
        }

        vvCrock.setOnCompletionListener {
            Toast.makeText(this,"video end", Toast.LENGTH_SHORT).show()
            //vvCrock.start()  //loops
        }


    }
}